=== modified file 'doc/apt.conf.5.xml'
--- doc/apt.conf.5.xml	2007-12-15 23:32:54 +0000
+++ doc/apt.conf.5.xml	2007-12-21 05:08:37 +0000
@@ -12,6 +12,12 @@
  <refentryinfo>
    &apt-author.jgunthorpe;
    &apt-author.team;
+   <author>
+     <firstname>Daniel</firstname>
+     <surname>Burrows</surname>
+     <contrib>Initial documentation of Debug::*.</contrib>
+     <email>dburrows@debian.org</email>
+   </author>
    &apt-email;
    &apt-product;
    <!-- The last update date -->
@@ -386,16 +392,344 @@
    </variablelist>
  </refsect1>
 
- <refsect1><title>Debug options</title>
-   <para>Most of the options in the <literal>debug</literal> section are not interesting to 
-   the normal user, however <literal>Debug::pkgProblemResolver</literal> shows 
-   interesting output about the decisions dist-upgrade makes. 
-   <literal>Debug::NoLocking</literal> disables file locking so APT can do some 
-   operations as non-root and <literal>Debug::pkgDPkgPM</literal> will print out the 
-   command line for each dpkg invokation. <literal>Debug::IdentCdrom</literal> will 
-   disable the inclusion of statfs data in CDROM IDs.
-   <literal>Debug::Acquire::gpgv</literal> Debugging of the gpgv method.
-   </para>
+ <refsect1>
+   <title>Debug options</title>
+   <para>
+     Enabling options in the <literal>Debug::</literal> section will
+     cause debugging information to be sent to the standard error
+     stream of the program utilizing the <literal>apt</literal>
+     libraries, or enable special program modes that are primarily
+     useful for debugging the behavior of <literal>apt</literal>.
+     Most of these options are not interesting to a normal user, but a
+     few may be:
+
+     <itemizedlist>
+       <listitem>
+	 <para>
+	   <literal>Debug::pkgProblemResolver</literal> enables output
+	   about the decisions made by
+	   <literal>dist-upgrade</literal>.
+	 </para>
+       </listitem>
+
+       <listitem>
+	 <para>
+	   <literal>Debug::NoLocking</literal> disables all file
+	   locking.  This can be used to run some operations (for
+	   instance, <literal>apt-get -s install</literal>) as a
+	   non-root user.
+	 </para>
+       </listitem>
+
+       <listitem>
+	 <para>
+	   <literal>Debug::pkgDPkgPM</literal> prints out the actual
+	   command line each time that <literal>apt</literal> invokes
+	   &dpkg;.
+	 </para>
+       </listitem>
+
+       <listitem>
+	 <para>
+	   <literal>Debug::IdentCdrom</literal> disables the inclusion
+	   of statfs data in CDROM IDs.  <!-- TODO: provide a
+	   motivating example, except I haven't a clue why you'd want
+	   to do this. -->
+	 </para>
+       </listitem>
+     </itemizedlist>
+   </para>
+
+   <para>
+     A full list of debugging options to apt follows.
+   </para>
+
+   <variablelist>
+     <varlistentry>
+       <term><literal>Debug::Acquire::cdrom</literal></term>
+
+       <listitem>
+	 <para>
+	   Print information related to accessing
+	   <literal>cdrom://</literal> sources.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::Acquire::ftp</literal></term>
+
+       <listitem>
+	 <para>
+	   Print information related to downloading packages using
+	   FTP.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::Acquire::http</literal></term>
+
+       <listitem>
+	 <para>
+	   Print information related to downloading packages using
+	   HTTP.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::Acquire::https</literal></term>
+
+       <listitem>
+	 <para>
+	   Print information related to downloading packages using
+	   HTTPS.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::Acquire::gpgv</literal></term>
+
+       <listitem>
+	 <para>
+	   Print information related to verifying cryptographic
+	   signatures using <literal>gpg</literal>.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::aptcdrom</literal></term>
+
+       <listitem>
+	 <para>
+	   Output information about the process of accessing
+	   collections of packages stored on CD-ROMs.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::BuildDeps</literal></term>
+       <listitem>
+	 <para>
+	   Describes the process of resolving build-dependencies in
+	   &apt-get;.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::Hashes</literal></term>
+       <listitem>
+	 <para>
+	   Output each cryptographic hash that is generated by the
+	   <literal>apt</literal> libraries.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::IdentCDROM</literal></term>
+       <listitem>
+	 <para>
+	   Do not include information from <literal>statfs</literal>,
+	   namely the number of used and free blocks on the CD-ROM
+	   filesystem, when generating an ID for a CD-ROM.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::NoLocking</literal></term>
+       <listitem>
+	 <para>
+	   Disable all file locking.  For instance, this will allow
+	   two instances of <quote><literal>apt-get
+	   update</literal></quote> to run at the same time.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgAcquire</literal></term>
+
+       <listitem>
+	 <para>
+	   Log when items are added to or removed from the global
+	   download queue.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgAcquire::Auth</literal></term>
+       <listitem>
+	 <para>
+	   Output status messages and errors related to verifying
+	   checksums and cryptographic signatures of downloaded files.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgAcquire::Diffs</literal></term>
+       <listitem>
+	 <para>
+	   Output information about downloading and applying package
+	   index list diffs, and errors relating to package index list
+	   diffs.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgAcquire::RRed</literal></term>
+
+       <listitem>
+	 <para>
+	   Output information related to patching apt package lists
+	   when downloading index diffs instead of full indices.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgAcquire::Worker</literal></term>
+
+       <listitem>
+	 <para>
+	   Log all interactions with the sub-processes that actually
+	   perform downloads.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgAutoRemove</literal></term>
+
+       <listitem>
+	 <para>
+	   Log events related to the automatically-installed status of
+	   packages and to the removal of unused packages.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgDepCache::AutoInstall</literal></term>
+       <listitem>
+	 <para>
+	   Generate debug messages describing which packages are being
+	   automatically installed to resolve dependencies.  This
+	   corresponds to the initial auto-install pass performed in,
+	   e.g., <literal>apt-get install</literal>, and not to the
+	   full <literal>apt</literal> dependency resolver; see
+	   <literal>Debug::pkgProblemResolver</literal> for that.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <!-- Question: why doesn't this do anything?  The code says it should. -->
+     <varlistentry>
+       <term><literal>Debug::pkgInitConfig</literal></term>
+       <listitem>
+	 <para>
+	   Dump the default configuration to standard output on
+	   startup.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgDPkgPM</literal></term>
+       <listitem>
+	 <para>
+	   When invoking &dpkg;, output the precise command line with
+	   which it is being invoked, with arguments separated by a
+	   single space character.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgDPkgProgressReporting</literal></term>
+       <listitem>
+	 <para>
+	   Output all the data received from &dpkg; on the status file
+	   descriptor and any errors encountered while parsing it.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgOrderList</literal></term>
+
+       <listitem>
+	 <para>
+	   Generate a trace of the algorithm that decides the order in
+	   which <literal>apt</literal> should pass packages to
+	   &dpkg;.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgPackageManager</literal></term>
+
+       <listitem>
+	 <para>
+	   Output status messages tracing the steps performed when
+	   invoking &dpkg;.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgPolicy</literal></term>
+
+       <listitem>
+	 <para>
+	   Output the priority of each package list on startup.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::pkgProblemResolver</literal></term>
+
+       <listitem>
+	 <para>
+	   Trace the execution of the dependency resolver (this
+	   applies only to what happens when a complex dependency
+	   problem is encountered).
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::sourceList</literal></term>
+
+       <listitem>
+	 <para>
+	   Print information about the vendors read from
+	   <filename>/etc/apt/vendors.list</filename>.
+	 </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><literal>Debug::Vendor</literal></term>
+
+       <listitem>
+	 <para>
+	   Print information about each vendor.
+	 </para>
+       </listitem>
+     </varlistentry>
+   </variablelist>
  </refsect1>
  
  <refsect1><title>Examples</title>

=== modified file 'po/apt-all.pot'
--- po/apt-all.pot	2007-12-07 14:55:22 +0000
+++ po/apt-all.pot	2007-12-21 03:47:33 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2007-06-07 00:57+0200\n"
+"POT-Creation-Date: 2007-12-20 19:47-0800\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -155,10 +155,10 @@
 msgstr ""
 
 #: cmdline/apt-cache.cc:1714 cmdline/apt-cdrom.cc:138 cmdline/apt-config.cc:70
-#: cmdline/apt-extracttemplates.cc:225 ftparchive/apt-ftparchive.cc:550
-#: cmdline/apt-get.cc:2564 cmdline/apt-sortpkgs.cc:144
+#: cmdline/apt-extracttemplates.cc:225 ftparchive/apt-ftparchive.cc:547
+#: cmdline/apt-get.cc:2588 cmdline/apt-sortpkgs.cc:144
 #, c-format
-msgid "%s %s for %s %s compiled on %s %s\n"
+msgid "%s %s for %s compiled on %s %s\n"
 msgstr ""
 
 #: cmdline/apt-cache.cc:1721
@@ -251,8 +251,7 @@
 "  -o=? Set an arbitrary configuration option, eg -o dir::cache=/tmp\n"
 msgstr ""
 
-#: cmdline/apt-extracttemplates.cc:267 apt-pkg/pkgcachegen.cc:819
-#: apt-pkg/pkgcachegen.cc:815
+#: cmdline/apt-extracttemplates.cc:267 apt-pkg/pkgcachegen.cc:815
 #, c-format
 msgid "Unable to write to %s"
 msgstr ""
@@ -261,31 +260,31 @@
 msgid "Cannot get debconf version. Is debconf installed?"
 msgstr ""
 
-#: ftparchive/apt-ftparchive.cc:167 ftparchive/apt-ftparchive.cc:341
+#: ftparchive/apt-ftparchive.cc:164 ftparchive/apt-ftparchive.cc:338
 msgid "Package extension list is too long"
 msgstr ""
 
-#: ftparchive/apt-ftparchive.cc:169 ftparchive/apt-ftparchive.cc:183
-#: ftparchive/apt-ftparchive.cc:206 ftparchive/apt-ftparchive.cc:256
-#: ftparchive/apt-ftparchive.cc:270 ftparchive/apt-ftparchive.cc:292
+#: ftparchive/apt-ftparchive.cc:166 ftparchive/apt-ftparchive.cc:180
+#: ftparchive/apt-ftparchive.cc:203 ftparchive/apt-ftparchive.cc:253
+#: ftparchive/apt-ftparchive.cc:267 ftparchive/apt-ftparchive.cc:289
 #, c-format
 msgid "Error processing directory %s"
 msgstr ""
 
-#: ftparchive/apt-ftparchive.cc:254
+#: ftparchive/apt-ftparchive.cc:251
 msgid "Source extension list is too long"
 msgstr ""
 
-#: ftparchive/apt-ftparchive.cc:371
+#: ftparchive/apt-ftparchive.cc:368
 msgid "Error writing header to contents file"
 msgstr ""
 
-#: ftparchive/apt-ftparchive.cc:401
+#: ftparchive/apt-ftparchive.cc:398
 #, c-format
 msgid "Error processing contents %s"
 msgstr ""
 
-#: ftparchive/apt-ftparchive.cc:556
+#: ftparchive/apt-ftparchive.cc:553
 msgid ""
 "Usage: apt-ftparchive [options] command\n"
 "Commands: packages binarypath [overridefile [pathprefix]]\n"
@@ -327,226 +326,226 @@
 "  -o=?  Set an arbitrary configuration option"
 msgstr ""
 
-#: ftparchive/apt-ftparchive.cc:762
+#: ftparchive/apt-ftparchive.cc:759
 msgid "No selections matched"
 msgstr ""
 
-#: ftparchive/apt-ftparchive.cc:835
+#: ftparchive/apt-ftparchive.cc:832
 #, c-format
 msgid "Some files are missing in the package file group `%s'"
 msgstr ""
 
-#: ftparchive/cachedb.cc:47
+#: ftparchive/cachedb.cc:43
 #, c-format
 msgid "DB was corrupted, file renamed to %s.old"
 msgstr ""
 
-#: ftparchive/cachedb.cc:65
+#: ftparchive/cachedb.cc:61
 #, c-format
 msgid "DB is old, attempting to upgrade %s"
 msgstr ""
 
-#: ftparchive/cachedb.cc:76
+#: ftparchive/cachedb.cc:72
 msgid ""
 "DB format is invalid. If you upgraded from a older version of apt, please "
 "remove and re-create the database."
 msgstr ""
 
-#: ftparchive/cachedb.cc:81
+#: ftparchive/cachedb.cc:77
 #, c-format
 msgid "Unable to open DB file %s: %s"
 msgstr ""
 
-#: ftparchive/cachedb.cc:127 apt-inst/extract.cc:181 apt-inst/extract.cc:193
-#: apt-inst/extract.cc:210 apt-inst/deb/dpkgdb.cc:121 methods/gpgv.cc:272
+#: ftparchive/cachedb.cc:123 apt-inst/extract.cc:178 apt-inst/extract.cc:190
+#: apt-inst/extract.cc:207 apt-inst/deb/dpkgdb.cc:117
 #, c-format
 msgid "Failed to stat %s"
 msgstr ""
 
-#: ftparchive/cachedb.cc:242
+#: ftparchive/cachedb.cc:238
 msgid "Archive has no control record"
 msgstr ""
 
-#: ftparchive/cachedb.cc:448
+#: ftparchive/cachedb.cc:444
 msgid "Unable to get a cursor"
 msgstr ""
 
-#: ftparchive/writer.cc:79
+#: ftparchive/writer.cc:76
 #, c-format
 msgid "W: Unable to read directory %s\n"
 msgstr ""
 
-#: ftparchive/writer.cc:84
+#: ftparchive/writer.cc:81
 #, c-format
 msgid "W: Unable to stat %s\n"
 msgstr ""
 
-#: ftparchive/writer.cc:135
+#: ftparchive/writer.cc:132
 msgid "E: "
 msgstr ""
 
-#: ftparchive/writer.cc:137
+#: ftparchive/writer.cc:134
 msgid "W: "
 msgstr ""
 
-#: ftparchive/writer.cc:144
+#: ftparchive/writer.cc:141
 msgid "E: Errors apply to file "
 msgstr ""
 
-#: ftparchive/writer.cc:161 ftparchive/writer.cc:191
+#: ftparchive/writer.cc:158 ftparchive/writer.cc:188
 #, c-format
 msgid "Failed to resolve %s"
 msgstr ""
 
-#: ftparchive/writer.cc:173
+#: ftparchive/writer.cc:170
 msgid "Tree walking failed"
 msgstr ""
 
-#: ftparchive/writer.cc:198
+#: ftparchive/writer.cc:195
 #, c-format
 msgid "Failed to open %s"
 msgstr ""
 
-#: ftparchive/writer.cc:257
+#: ftparchive/writer.cc:254
 #, c-format
 msgid " DeLink %s [%s]\n"
 msgstr ""
 
-#: ftparchive/writer.cc:265
+#: ftparchive/writer.cc:262
 #, c-format
 msgid "Failed to readlink %s"
 msgstr ""
 
-#: ftparchive/writer.cc:269
+#: ftparchive/writer.cc:266
 #, c-format
 msgid "Failed to unlink %s"
 msgstr ""
 
-#: ftparchive/writer.cc:276
+#: ftparchive/writer.cc:273
 #, c-format
 msgid "*** Failed to link %s to %s"
 msgstr ""
 
-#: ftparchive/writer.cc:286
+#: ftparchive/writer.cc:283
 #, c-format
 msgid " DeLink limit of %sB hit.\n"
 msgstr ""
 
-#: ftparchive/writer.cc:390
+#: ftparchive/writer.cc:387
 msgid "Archive had no package field"
 msgstr ""
 
-#: ftparchive/writer.cc:398 ftparchive/writer.cc:613
+#: ftparchive/writer.cc:395 ftparchive/writer.cc:610
 #, c-format
 msgid "  %s has no override entry\n"
 msgstr ""
 
-#: ftparchive/writer.cc:443 ftparchive/writer.cc:701
+#: ftparchive/writer.cc:440 ftparchive/writer.cc:698
 #, c-format
 msgid "  %s maintainer is %s not %s\n"
 msgstr ""
 
-#: ftparchive/writer.cc:623
+#: ftparchive/writer.cc:620
 #, c-format
 msgid "  %s has no source override entry\n"
 msgstr ""
 
-#: ftparchive/writer.cc:627
+#: ftparchive/writer.cc:624
 #, c-format
 msgid "  %s has no binary override entry either\n"
 msgstr ""
 
-#: ftparchive/contents.cc:317
+#: ftparchive/contents.cc:321
 #, c-format
 msgid "Internal error, could not locate member %s"
 msgstr ""
 
-#: ftparchive/contents.cc:353 ftparchive/contents.cc:384
+#: ftparchive/contents.cc:358 ftparchive/contents.cc:389
 msgid "realloc - Failed to allocate memory"
 msgstr ""
 
-#: ftparchive/override.cc:38 ftparchive/override.cc:146
+#: ftparchive/override.cc:34 ftparchive/override.cc:142
 #, c-format
 msgid "Unable to open %s"
 msgstr ""
 
-#: ftparchive/override.cc:64 ftparchive/override.cc:170
+#: ftparchive/override.cc:60 ftparchive/override.cc:166
 #, c-format
 msgid "Malformed override %s line %lu #1"
 msgstr ""
 
-#: ftparchive/override.cc:78 ftparchive/override.cc:182
+#: ftparchive/override.cc:74 ftparchive/override.cc:178
 #, c-format
 msgid "Malformed override %s line %lu #2"
 msgstr ""
 
-#: ftparchive/override.cc:92 ftparchive/override.cc:195
+#: ftparchive/override.cc:88 ftparchive/override.cc:191
 #, c-format
 msgid "Malformed override %s line %lu #3"
 msgstr ""
 
-#: ftparchive/override.cc:131 ftparchive/override.cc:205
+#: ftparchive/override.cc:127 ftparchive/override.cc:201
 #, c-format
 msgid "Failed to read the override file %s"
 msgstr ""
 
-#: ftparchive/multicompress.cc:75
+#: ftparchive/multicompress.cc:72
 #, c-format
 msgid "Unknown compression algorithm '%s'"
 msgstr ""
 
-#: ftparchive/multicompress.cc:105
+#: ftparchive/multicompress.cc:102
 #, c-format
 msgid "Compressed output %s needs a compression set"
 msgstr ""
 
-#: ftparchive/multicompress.cc:172 methods/rsh.cc:91
+#: ftparchive/multicompress.cc:169 methods/rsh.cc:91
 msgid "Failed to create IPC pipe to subprocess"
 msgstr ""
 
+#: ftparchive/multicompress.cc:195
+msgid "Failed to create FILE*"
+msgstr ""
+
 #: ftparchive/multicompress.cc:198
-msgid "Failed to create FILE*"
-msgstr ""
-
-#: ftparchive/multicompress.cc:201
 msgid "Failed to fork"
 msgstr ""
 
-#: ftparchive/multicompress.cc:215
+#: ftparchive/multicompress.cc:212
 msgid "Compress child"
 msgstr ""
 
-#: ftparchive/multicompress.cc:238
+#: ftparchive/multicompress.cc:235
 #, c-format
 msgid "Internal error, failed to create %s"
 msgstr ""
 
-#: ftparchive/multicompress.cc:289
+#: ftparchive/multicompress.cc:286
 msgid "Failed to create subprocess IPC"
 msgstr ""
 
-#: ftparchive/multicompress.cc:324
+#: ftparchive/multicompress.cc:321
 msgid "Failed to exec compressor "
 msgstr ""
 
-#: ftparchive/multicompress.cc:363
+#: ftparchive/multicompress.cc:360
 msgid "decompressor"
 msgstr ""
 
-#: ftparchive/multicompress.cc:406
+#: ftparchive/multicompress.cc:403
 msgid "IO to subprocess/file failed"
 msgstr ""
 
-#: ftparchive/multicompress.cc:458
+#: ftparchive/multicompress.cc:455
 msgid "Failed to read while computing MD5"
 msgstr ""
 
-#: ftparchive/multicompress.cc:475
+#: ftparchive/multicompress.cc:472
 #, c-format
 msgid "Problem unlinking %s"
 msgstr ""
 
-#: ftparchive/multicompress.cc:490 apt-inst/extract.cc:188
+#: ftparchive/multicompress.cc:487 apt-inst/extract.cc:185
 #, c-format
 msgid "Failed to rename %s to %s"
 msgstr ""
@@ -555,7 +554,7 @@
 msgid "Y"
 msgstr ""
 
-#: cmdline/apt-get.cc:143 cmdline/apt-get.cc:1655
+#: cmdline/apt-get.cc:143 cmdline/apt-get.cc:1673
 #, c-format
 msgid "Regex compilation error - %s"
 msgstr ""
@@ -714,12 +713,12 @@
 msgid "Internal error, Ordering didn't finish"
 msgstr ""
 
-#: cmdline/apt-get.cc:806 cmdline/apt-get.cc:1995 cmdline/apt-get.cc:2028
+#: cmdline/apt-get.cc:806 cmdline/apt-get.cc:2012 cmdline/apt-get.cc:2045
 msgid "Unable to lock the download directory"
 msgstr ""
 
-#: cmdline/apt-get.cc:816 cmdline/apt-get.cc:2076 cmdline/apt-get.cc:2312
-#: apt-pkg/cachefile.cc:67 apt-pkg/cachefile.cc:63
+#: cmdline/apt-get.cc:816 cmdline/apt-get.cc:2093 cmdline/apt-get.cc:2334
+#: apt-pkg/cachefile.cc:63
 msgid "The list of sources could not be read."
 msgstr ""
 
@@ -747,7 +746,7 @@
 msgid "After unpacking %sB disk space will be freed.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:861 cmdline/apt-get.cc:2166
+#: cmdline/apt-get.cc:861 cmdline/apt-get.cc:2188
 #, c-format
 msgid "Couldn't determine free space in %s"
 msgstr ""
@@ -781,7 +780,7 @@
 msgid "Do you want to continue [Y/n]? "
 msgstr ""
 
-#: cmdline/apt-get.cc:976 cmdline/apt-get.cc:1383 cmdline/apt-get.cc:2209
+#: cmdline/apt-get.cc:976 cmdline/apt-get.cc:1383 cmdline/apt-get.cc:2231
 #, c-format
 msgid "Failed to fetch %s  %s\n"
 msgstr ""
@@ -790,7 +789,7 @@
 msgid "Some files failed to download"
 msgstr ""
 
-#: cmdline/apt-get.cc:995 cmdline/apt-get.cc:2218
+#: cmdline/apt-get.cc:995 cmdline/apt-get.cc:2240
 msgid "Download complete and in download only mode"
 msgstr ""
 
@@ -916,7 +915,7 @@
 "shouldn't happen. Please file a bug report against apt."
 msgstr ""
 
-#: cmdline/apt-get.cc:1475 cmdline/apt-get.cc:1736
+#: cmdline/apt-get.cc:1475 cmdline/apt-get.cc:1755
 msgid "The following information may help to resolve the situation:"
 msgstr ""
 
@@ -928,37 +927,37 @@
 msgid "Internal error, AllUpgrade broke stuff"
 msgstr ""
 
-#: cmdline/apt-get.cc:1543
+#: cmdline/apt-get.cc:1545
 #, c-format
 msgid "Couldn't find task %s"
 msgstr ""
 
-#: cmdline/apt-get.cc:1642 cmdline/apt-get.cc:1678
+#: cmdline/apt-get.cc:1660 cmdline/apt-get.cc:1696
 #, c-format
 msgid "Couldn't find package %s"
 msgstr ""
 
-#: cmdline/apt-get.cc:1665
+#: cmdline/apt-get.cc:1683
 #, c-format
 msgid "Note, selecting %s for regex '%s'\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:1695
+#: cmdline/apt-get.cc:1714
 #, c-format
 msgid "%s set to manual installed.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:1708
+#: cmdline/apt-get.cc:1727
 msgid "You might want to run `apt-get -f install' to correct these:"
 msgstr ""
 
-#: cmdline/apt-get.cc:1711
+#: cmdline/apt-get.cc:1730
 msgid ""
 "Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a "
 "solution)."
 msgstr ""
 
-#: cmdline/apt-get.cc:1723
+#: cmdline/apt-get.cc:1742
 msgid ""
 "Some packages could not be installed. This may mean that you have\n"
 "requested an impossible situation or if you are using the unstable\n"
@@ -966,159 +965,159 @@
 "or been moved out of Incoming."
 msgstr ""
 
-#: cmdline/apt-get.cc:1731
+#: cmdline/apt-get.cc:1750
 msgid ""
 "Since you only requested a single operation it is extremely likely that\n"
 "the package is simply not installable and a bug report against\n"
 "that package should be filed."
 msgstr ""
 
-#: cmdline/apt-get.cc:1739
+#: cmdline/apt-get.cc:1758
 msgid "Broken packages"
 msgstr ""
 
-#: cmdline/apt-get.cc:1770
+#: cmdline/apt-get.cc:1787
 msgid "The following extra packages will be installed:"
 msgstr ""
 
-#: cmdline/apt-get.cc:1859
+#: cmdline/apt-get.cc:1876
 msgid "Suggested packages:"
 msgstr ""
 
-#: cmdline/apt-get.cc:1860
+#: cmdline/apt-get.cc:1877
 msgid "Recommended packages:"
 msgstr ""
 
-#: cmdline/apt-get.cc:1888
+#: cmdline/apt-get.cc:1905
 msgid "Calculating upgrade... "
 msgstr ""
 
-#: cmdline/apt-get.cc:1891 methods/ftp.cc:702 methods/connect.cc:101
+#: cmdline/apt-get.cc:1908 methods/ftp.cc:702 methods/connect.cc:101
 msgid "Failed"
 msgstr ""
 
-#: cmdline/apt-get.cc:1896
+#: cmdline/apt-get.cc:1913
 msgid "Done"
 msgstr ""
 
-#: cmdline/apt-get.cc:1963 cmdline/apt-get.cc:1971
+#: cmdline/apt-get.cc:1980 cmdline/apt-get.cc:1988
 msgid "Internal error, problem resolver broke stuff"
 msgstr ""
 
-#: cmdline/apt-get.cc:2071
+#: cmdline/apt-get.cc:2088
 msgid "Must specify at least one package to fetch source for"
 msgstr ""
 
-#: cmdline/apt-get.cc:2101 cmdline/apt-get.cc:2330
+#: cmdline/apt-get.cc:2118 cmdline/apt-get.cc:2352
 #, c-format
 msgid "Unable to find a source package for %s"
 msgstr ""
 
-#: cmdline/apt-get.cc:2145
+#: cmdline/apt-get.cc:2167
 #, c-format
 msgid "Skipping already downloaded file '%s'\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2169
+#: cmdline/apt-get.cc:2191
 #, c-format
 msgid "You don't have enough free space in %s"
 msgstr ""
 
-#: cmdline/apt-get.cc:2174
+#: cmdline/apt-get.cc:2196
 #, c-format
 msgid "Need to get %sB/%sB of source archives.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2177
+#: cmdline/apt-get.cc:2199
 #, c-format
 msgid "Need to get %sB of source archives.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2183
+#: cmdline/apt-get.cc:2205
 #, c-format
 msgid "Fetch source %s\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2214
+#: cmdline/apt-get.cc:2236
 msgid "Failed to fetch some archives."
 msgstr ""
 
-#: cmdline/apt-get.cc:2242
+#: cmdline/apt-get.cc:2264
 #, c-format
 msgid "Skipping unpack of already unpacked source in %s\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2254
+#: cmdline/apt-get.cc:2276
 #, c-format
 msgid "Unpack command '%s' failed.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2255
+#: cmdline/apt-get.cc:2277
 #, c-format
 msgid "Check if the 'dpkg-dev' package is installed.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2272
+#: cmdline/apt-get.cc:2294
 #, c-format
 msgid "Build command '%s' failed.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2291
+#: cmdline/apt-get.cc:2313
 msgid "Child process failed"
 msgstr ""
 
-#: cmdline/apt-get.cc:2307
+#: cmdline/apt-get.cc:2329
 msgid "Must specify at least one package to check builddeps for"
 msgstr ""
 
-#: cmdline/apt-get.cc:2335
+#: cmdline/apt-get.cc:2357
 #, c-format
 msgid "Unable to get build-dependency information for %s"
 msgstr ""
 
-#: cmdline/apt-get.cc:2355
+#: cmdline/apt-get.cc:2377
 #, c-format
 msgid "%s has no build depends.\n"
 msgstr ""
 
-#: cmdline/apt-get.cc:2407
+#: cmdline/apt-get.cc:2429
 #, c-format
 msgid ""
 "%s dependency for %s cannot be satisfied because the package %s cannot be "
 "found"
 msgstr ""
 
-#: cmdline/apt-get.cc:2459
+#: cmdline/apt-get.cc:2482
 #, c-format
 msgid ""
 "%s dependency for %s cannot be satisfied because no available versions of "
 "package %s can satisfy version requirements"
 msgstr ""
 
-#: cmdline/apt-get.cc:2494
+#: cmdline/apt-get.cc:2518
 #, c-format
 msgid "Failed to satisfy %s dependency for %s: Installed package %s is too new"
 msgstr ""
 
-#: cmdline/apt-get.cc:2519
+#: cmdline/apt-get.cc:2543
 #, c-format
 msgid "Failed to satisfy %s dependency for %s: %s"
 msgstr ""
 
-#: cmdline/apt-get.cc:2533
+#: cmdline/apt-get.cc:2557
 #, c-format
 msgid "Build-dependencies for %s could not be satisfied."
 msgstr ""
 
-#: cmdline/apt-get.cc:2537
+#: cmdline/apt-get.cc:2561
 msgid "Failed to process build dependencies"
 msgstr ""
 
-#: cmdline/apt-get.cc:2569
+#: cmdline/apt-get.cc:2593
 msgid "Supported modules:"
 msgstr ""
 
-#: cmdline/apt-get.cc:2610
+#: cmdline/apt-get.cc:2634
 msgid ""
 "Usage: apt-get [options] command\n"
 "       apt-get [options] install|remove pkg1 [pkg2 ...]\n"
@@ -1133,6 +1132,8 @@
 "   upgrade - Perform an upgrade\n"
 "   install - Install new packages (pkg is libc6 not libc6.deb)\n"
 "   remove - Remove packages\n"
+"   autoremove - Remove all automatic unused packages\n"
+"   purge - Remove and purge packages\n"
 "   source - Download source archives\n"
 "   build-dep - Configure build-dependencies for source packages\n"
 "   dist-upgrade - Distribution upgrade, see apt-get(8)\n"
@@ -1242,192 +1243,188 @@
 msgid "Merging available information"
 msgstr ""
 
-#: apt-inst/contrib/extracttar.cc:117
+#: apt-inst/contrib/extracttar.cc:114
 msgid "Failed to create pipes"
 msgstr ""
 
-#: apt-inst/contrib/extracttar.cc:144
+#: apt-inst/contrib/extracttar.cc:141
 msgid "Failed to exec gzip "
 msgstr ""
 
-#: apt-inst/contrib/extracttar.cc:181 apt-inst/contrib/extracttar.cc:207
+#: apt-inst/contrib/extracttar.cc:178 apt-inst/contrib/extracttar.cc:204
 msgid "Corrupted archive"
 msgstr ""
 
-#: apt-inst/contrib/extracttar.cc:196
+#: apt-inst/contrib/extracttar.cc:193
 msgid "Tar checksum failed, archive corrupted"
 msgstr ""
 
-#: apt-inst/contrib/extracttar.cc:299
+#: apt-inst/contrib/extracttar.cc:296
 #, c-format
 msgid "Unknown TAR header type %u, member %s"
 msgstr ""
 
-#: apt-inst/contrib/arfile.cc:73
+#: apt-inst/contrib/arfile.cc:70
 msgid "Invalid archive signature"
 msgstr ""
 
-#: apt-inst/contrib/arfile.cc:81
+#: apt-inst/contrib/arfile.cc:78
 msgid "Error reading archive member header"
 msgstr ""
 
-#: apt-inst/contrib/arfile.cc:93 apt-inst/contrib/arfile.cc:105
+#: apt-inst/contrib/arfile.cc:90 apt-inst/contrib/arfile.cc:102
 msgid "Invalid archive member header"
 msgstr ""
 
-#: apt-inst/contrib/arfile.cc:131
+#: apt-inst/contrib/arfile.cc:128
 msgid "Archive is too short"
 msgstr ""
 
-#: apt-inst/contrib/arfile.cc:135
+#: apt-inst/contrib/arfile.cc:132
 msgid "Failed to read the archive headers"
 msgstr ""
 
-#: apt-inst/filelist.cc:384
+#: apt-inst/filelist.cc:380
 msgid "DropNode called on still linked node"
 msgstr ""
 
-#: apt-inst/filelist.cc:416
+#: apt-inst/filelist.cc:412
 msgid "Failed to locate the hash element!"
 msgstr ""
 
-#: apt-inst/filelist.cc:463
+#: apt-inst/filelist.cc:459
 msgid "Failed to allocate diversion"
 msgstr ""
 
-#: apt-inst/filelist.cc:468
+#: apt-inst/filelist.cc:464
 msgid "Internal error in AddDiversion"
 msgstr ""
 
-#: apt-inst/filelist.cc:481
+#: apt-inst/filelist.cc:477
 #, c-format
 msgid "Trying to overwrite a diversion, %s -> %s and %s/%s"
 msgstr ""
 
-#: apt-inst/filelist.cc:510
+#: apt-inst/filelist.cc:506
 #, c-format
 msgid "Double add of diversion %s -> %s"
 msgstr ""
 
-#: apt-inst/filelist.cc:553
+#: apt-inst/filelist.cc:549
 #, c-format
 msgid "Duplicate conf file %s/%s"
 msgstr ""
 
-#: apt-inst/dirstream.cc:45 apt-inst/dirstream.cc:50 apt-inst/dirstream.cc:53
+#: apt-inst/dirstream.cc:41 apt-inst/dirstream.cc:46 apt-inst/dirstream.cc:49
 #, c-format
 msgid "Failed to write file %s"
 msgstr ""
 
-#: apt-inst/dirstream.cc:96 apt-inst/dirstream.cc:104
+#: apt-inst/dirstream.cc:92 apt-inst/dirstream.cc:100
 #, c-format
 msgid "Failed to close file %s"
 msgstr ""
 
-#: apt-inst/extract.cc:96 apt-inst/extract.cc:167
+#: apt-inst/extract.cc:93 apt-inst/extract.cc:164
 #, c-format
 msgid "The path %s is too long"
 msgstr ""
 
-#: apt-inst/extract.cc:127
+#: apt-inst/extract.cc:124
 #, c-format
 msgid "Unpacking %s more than once"
 msgstr ""
 
-#: apt-inst/extract.cc:137
+#: apt-inst/extract.cc:134
 #, c-format
 msgid "The directory %s is diverted"
 msgstr ""
 
-#: apt-inst/extract.cc:147
+#: apt-inst/extract.cc:144
 #, c-format
 msgid "The package is trying to write to the diversion target %s/%s"
 msgstr ""
 
-#: apt-inst/extract.cc:157 apt-inst/extract.cc:300
+#: apt-inst/extract.cc:154 apt-inst/extract.cc:297
 msgid "The diversion path is too long"
 msgstr ""
 
-#: apt-inst/extract.cc:243
+#: apt-inst/extract.cc:240
 #, c-format
 msgid "The directory %s is being replaced by a non-directory"
 msgstr ""
 
-#: apt-inst/extract.cc:283
+#: apt-inst/extract.cc:280
 msgid "Failed to locate node in its hash bucket"
 msgstr ""
 
-#: apt-inst/extract.cc:287
+#: apt-inst/extract.cc:284
 msgid "The path is too long"
 msgstr ""
 
-#: apt-inst/extract.cc:417
+#: apt-inst/extract.cc:414
 #, c-format
 msgid "Overwrite package match with no version for %s"
 msgstr ""
 
-#: apt-inst/extract.cc:434
+#: apt-inst/extract.cc:431
 #, c-format
 msgid "File %s/%s overwrites the one in the package %s"
 msgstr ""
 
-#: apt-inst/extract.cc:467 apt-pkg/contrib/configuration.cc:750
-#: apt-pkg/contrib/cdromutl.cc:153 apt-pkg/sourcelist.cc:324
-#: apt-pkg/acquire.cc:421 apt-pkg/clean.cc:38
-#: apt-pkg/contrib/configuration.cc:748 apt-pkg/contrib/cdromutl.cc:150
-#: apt-pkg/sourcelist.cc:320 apt-pkg/acquire.cc:418 apt-pkg/clean.cc:34
+#: apt-inst/extract.cc:464 apt-pkg/contrib/configuration.cc:753
+#: apt-pkg/contrib/cdromutl.cc:150 apt-pkg/sourcelist.cc:320
+#: apt-pkg/acquire.cc:418 apt-pkg/clean.cc:34
 #, c-format
 msgid "Unable to read %s"
 msgstr ""
 
-#: apt-inst/extract.cc:494
+#: apt-inst/extract.cc:491
 #, c-format
 msgid "Unable to stat %s"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:55 apt-inst/deb/dpkgdb.cc:61
+#: apt-inst/deb/dpkgdb.cc:51 apt-inst/deb/dpkgdb.cc:57
 #, c-format
 msgid "Failed to remove %s"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:110 apt-inst/deb/dpkgdb.cc:112
+#: apt-inst/deb/dpkgdb.cc:106 apt-inst/deb/dpkgdb.cc:108
 #, c-format
 msgid "Unable to create %s"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:118
+#: apt-inst/deb/dpkgdb.cc:114
 #, c-format
 msgid "Failed to stat %sinfo"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:123
+#: apt-inst/deb/dpkgdb.cc:119
 msgid "The info and temp directories need to be on the same filesystem"
 msgstr ""
 
 #. Build the status cache
-#: apt-inst/deb/dpkgdb.cc:139 apt-pkg/pkgcachegen.cc:752
-#: apt-pkg/pkgcachegen.cc:821 apt-pkg/pkgcachegen.cc:826
-#: apt-pkg/pkgcachegen.cc:949 apt-pkg/pkgcachegen.cc:748
+#: apt-inst/deb/dpkgdb.cc:135 apt-pkg/pkgcachegen.cc:748
 #: apt-pkg/pkgcachegen.cc:817 apt-pkg/pkgcachegen.cc:822
 #: apt-pkg/pkgcachegen.cc:945
 msgid "Reading package lists"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:180
+#: apt-inst/deb/dpkgdb.cc:176
 #, c-format
 msgid "Failed to change to the admin dir %sinfo"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:201 apt-inst/deb/dpkgdb.cc:355
-#: apt-inst/deb/dpkgdb.cc:448
+#: apt-inst/deb/dpkgdb.cc:197 apt-inst/deb/dpkgdb.cc:351
+#: apt-inst/deb/dpkgdb.cc:444
 msgid "Internal error getting a package name"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:205 apt-inst/deb/dpkgdb.cc:386
+#: apt-inst/deb/dpkgdb.cc:201 apt-inst/deb/dpkgdb.cc:382
 msgid "Reading file listing"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:216
+#: apt-inst/deb/dpkgdb.cc:212
 #, c-format
 msgid ""
 "Failed to open the list file '%sinfo/%s'. If you cannot restore this file "
@@ -1435,77 +1432,77 @@
 "package!"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:229 apt-inst/deb/dpkgdb.cc:242
+#: apt-inst/deb/dpkgdb.cc:225 apt-inst/deb/dpkgdb.cc:238
 #, c-format
 msgid "Failed reading the list file %sinfo/%s"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:266
+#: apt-inst/deb/dpkgdb.cc:262
 msgid "Internal error getting a node"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:309
+#: apt-inst/deb/dpkgdb.cc:305
 #, c-format
 msgid "Failed to open the diversions file %sdiversions"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:324
+#: apt-inst/deb/dpkgdb.cc:320
 msgid "The diversion file is corrupted"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:331 apt-inst/deb/dpkgdb.cc:336
-#: apt-inst/deb/dpkgdb.cc:341
+#: apt-inst/deb/dpkgdb.cc:327 apt-inst/deb/dpkgdb.cc:332
+#: apt-inst/deb/dpkgdb.cc:337
 #, c-format
 msgid "Invalid line in the diversion file: %s"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:362
+#: apt-inst/deb/dpkgdb.cc:358
 msgid "Internal error adding a diversion"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:383
+#: apt-inst/deb/dpkgdb.cc:379
 msgid "The pkg cache must be initialized first"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:443
+#: apt-inst/deb/dpkgdb.cc:439
 #, c-format
 msgid "Failed to find a Package: header, offset %lu"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:465
+#: apt-inst/deb/dpkgdb.cc:461
 #, c-format
 msgid "Bad ConfFile section in the status file. Offset %lu"
 msgstr ""
 
-#: apt-inst/deb/dpkgdb.cc:470
+#: apt-inst/deb/dpkgdb.cc:466
 #, c-format
 msgid "Error parsing MD5. Offset %lu"
 msgstr ""
 
-#: apt-inst/deb/debfile.cc:42 apt-inst/deb/debfile.cc:47
+#: apt-inst/deb/debfile.cc:38 apt-inst/deb/debfile.cc:43
 #, c-format
 msgid "This is not a valid DEB archive, missing '%s' member"
 msgstr ""
 
-#: apt-inst/deb/debfile.cc:52
+#: apt-inst/deb/debfile.cc:50
 #, c-format
-msgid "This is not a valid DEB archive, it has no '%s' or '%s' member"
+msgid "This is not a valid DEB archive, it has no '%s', '%s' or '%s' member"
 msgstr ""
 
-#: apt-inst/deb/debfile.cc:112
+#: apt-inst/deb/debfile.cc:110
 #, c-format
 msgid "Couldn't change to %s"
 msgstr ""
 
-#: apt-inst/deb/debfile.cc:138
+#: apt-inst/deb/debfile.cc:140
 msgid "Internal error, could not locate member"
 msgstr ""
 
-#: apt-inst/deb/debfile.cc:171
+#: apt-inst/deb/debfile.cc:173
 msgid "Failed to locate a valid control file"
 msgstr ""
 
-#: apt-inst/deb/debfile.cc:256
+#: apt-inst/deb/debfile.cc:258
 msgid "Unparsable control file"
 msgstr ""
 
@@ -1537,14 +1534,12 @@
 msgid "File not found"
 msgstr ""
 
-#: methods/copy.cc:42 methods/gpgv.cc:281 methods/gzip.cc:141
-#: methods/gzip.cc:150 methods/rred.cc:234 methods/rred.cc:243
-#: methods/copy.cc:43
+#: methods/copy.cc:43 methods/gzip.cc:141 methods/gzip.cc:150
+#: methods/rred.cc:234 methods/rred.cc:243
 msgid "Failed to stat"
 msgstr ""
 
-#: methods/copy.cc:79 methods/gpgv.cc:278 methods/gzip.cc:147
-#: methods/rred.cc:240 methods/copy.cc:80
+#: methods/copy.cc:80 methods/gzip.cc:147 methods/rred.cc:240
 msgid "Failed to set modification time"
 msgstr ""
 
@@ -1605,7 +1600,6 @@
 msgstr ""
 
 #: methods/ftp.cc:338 apt-pkg/contrib/fileutl.cc:471 methods/rsh.cc:190
-#: apt-pkg/contrib/fileutl.cc:469
 msgid "Read error"
 msgstr ""
 
@@ -1618,7 +1612,6 @@
 msgstr ""
 
 #: methods/ftp.cc:446 apt-pkg/contrib/fileutl.cc:510 methods/rsh.cc:232
-#: apt-pkg/contrib/fileutl.cc:508
 msgid "Write error"
 msgstr ""
 
@@ -1672,8 +1665,7 @@
 msgid "Unable to accept connection"
 msgstr ""
 
-#: methods/ftp.cc:864 methods/http.cc:958 methods/rsh.cc:303
-#: methods/http.cc:959
+#: methods/ftp.cc:864 methods/http.cc:959 methods/rsh.cc:303
 msgid "Problem hashing file"
 msgstr ""
 
@@ -1804,292 +1796,282 @@
 msgid "Read error from %s process"
 msgstr ""
 
-#: methods/http.cc:376 methods/http.cc:377
+#: methods/http.cc:377
 msgid "Waiting for headers"
 msgstr ""
 
-#: methods/http.cc:522 methods/http.cc:523
+#: methods/http.cc:523
 #, c-format
 msgid "Got a single header line over %u chars"
 msgstr ""
 
-#: methods/http.cc:530 methods/http.cc:531
+#: methods/http.cc:531
 msgid "Bad header line"
 msgstr ""
 
-#: methods/http.cc:549 methods/http.cc:556 methods/http.cc:550
-#: methods/http.cc:557
+#: methods/http.cc:550 methods/http.cc:557
 msgid "The HTTP server sent an invalid reply header"
 msgstr ""
 
-#: methods/http.cc:585 methods/http.cc:586
+#: methods/http.cc:586
 msgid "The HTTP server sent an invalid Content-Length header"
 msgstr ""
 
-#: methods/http.cc:600 methods/http.cc:601
+#: methods/http.cc:601
 msgid "The HTTP server sent an invalid Content-Range header"
 msgstr ""
 
-#: methods/http.cc:602 methods/http.cc:603
+#: methods/http.cc:603
 msgid "This HTTP server has broken range support"
 msgstr ""
 
-#: methods/http.cc:626 methods/http.cc:627
+#: methods/http.cc:627
 msgid "Unknown date format"
 msgstr ""
 
-#: methods/http.cc:773 methods/http.cc:774
+#: methods/http.cc:774
 msgid "Select failed"
 msgstr ""
 
-#: methods/http.cc:778 methods/http.cc:779
+#: methods/http.cc:779
 msgid "Connection timed out"
 msgstr ""
 
-#: methods/http.cc:801 methods/http.cc:802
+#: methods/http.cc:802
 msgid "Error writing to output file"
 msgstr ""
 
-#: methods/http.cc:832 methods/http.cc:833
+#: methods/http.cc:833
 msgid "Error writing to file"
 msgstr ""
 
-#: methods/http.cc:860 methods/http.cc:861
+#: methods/http.cc:861
 msgid "Error writing to the file"
 msgstr ""
 
-#: methods/http.cc:874 methods/http.cc:875
+#: methods/http.cc:875
 msgid "Error reading from server. Remote end closed connection"
 msgstr ""
 
-#: methods/http.cc:876 methods/http.cc:877
+#: methods/http.cc:877
 msgid "Error reading from server"
 msgstr ""
 
-#: methods/http.cc:1107 methods/http.cc:1104
+#: methods/http.cc:1104
 msgid "Bad header data"
 msgstr ""
 
-#: methods/http.cc:1124 methods/http.cc:1121 methods/http.cc:1176
+#: methods/http.cc:1121 methods/http.cc:1176
 msgid "Connection failed"
 msgstr ""
 
-#: methods/http.cc:1215 methods/http.cc:1228
+#: methods/http.cc:1228
 msgid "Internal error"
 msgstr ""
 
-#: apt-pkg/contrib/mmap.cc:82 apt-pkg/contrib/mmap.cc:78
 #: apt-pkg/contrib/mmap.cc:80
 msgid "Can't mmap an empty file"
 msgstr ""
 
-#: apt-pkg/contrib/mmap.cc:87 apt-pkg/contrib/mmap.cc:83
 #: apt-pkg/contrib/mmap.cc:85
 #, c-format
 msgid "Couldn't make mmap of %lu bytes"
 msgstr ""
 
-#: apt-pkg/contrib/strutl.cc:981 apt-pkg/contrib/strutl.cc:978
+#: apt-pkg/contrib/strutl.cc:978
 #, c-format
 msgid "Selection %s not found"
 msgstr ""
 
-#: apt-pkg/contrib/configuration.cc:436 apt-pkg/contrib/configuration.cc:434
+#: apt-pkg/contrib/configuration.cc:439
 #, c-format
 msgid "Unrecognized type abbreviation: '%c'"
 msgstr ""
 
-#: apt-pkg/contrib/configuration.cc:494 apt-pkg/contrib/configuration.cc:492
+#: apt-pkg/contrib/configuration.cc:497
 #, c-format
 msgid "Opening configuration file %s"
 msgstr ""
 
-#: apt-pkg/contrib/configuration.cc:512
+#: apt-pkg/contrib/configuration.cc:515
 #, c-format
-msgid "Line %d too long (max %d)"
+msgid "Line %d too long (max %u)"
 msgstr ""
 
-#: apt-pkg/contrib/configuration.cc:608 apt-pkg/contrib/configuration.cc:606
+#: apt-pkg/contrib/configuration.cc:611
 #, c-format
 msgid "Syntax error %s:%u: Block starts with no name."
 msgstr ""
 
-#: apt-pkg/contrib/configuration.cc:627 apt-pkg/contrib/configuration.cc:625
+#: apt-pkg/contrib/configuration.cc:630
 #, c-format
 msgid "Syntax error %s:%u: Malformed tag"
 msgstr ""
 
-#: apt-pkg/contrib/configuration.cc:644 apt-pkg/contrib/configuration.cc:642
+#: apt-pkg/contrib/configuration.cc:647
 #, c-format
 msgid "Syntax error %s:%u: Extra junk after value"
 msgstr ""
 
-#: apt-pkg/contrib/configuration.cc:684 apt-pkg/contrib/configuration.cc:682
+#: apt-pkg/contrib/configuration.cc:687
 #, c-format
 msgid "Syntax error %s:%u: Directives can only be done at the top level"
 msgstr ""
 
-#: apt-pkg/contrib/configuration.cc:691 apt-pkg/contrib/configuration.cc:689
+#: apt-pkg/contrib/configuration.cc:694
 #, c-format
 msgid "Syntax error %s:%u: Too many nested includes"
 msgstr ""
 
-#: apt-pkg/contrib/configuration.cc:695 apt-pkg/contrib/configuration.cc:700
-#: apt-pkg/contrib/configuration.cc:693 apt-pkg/contrib/configuration.cc:698
+#: apt-pkg/contrib/configuration.cc:698 apt-pkg/contrib/configuration.cc:703
 #, c-format
 msgid "Syntax error %s:%u: Included from here"
 msgstr ""
 
-#: apt-pkg/contrib/configuration.cc:704 apt-pkg/contrib/configuration.cc:702
+#: apt-pkg/contrib/configuration.cc:707
 #, c-format
 msgid "Syntax error %s:%u: Unsupported directive '%s'"
 msgstr ""
 
-#: apt-pkg/contrib/configuration.cc:738 apt-pkg/contrib/configuration.cc:736
+#: apt-pkg/contrib/configuration.cc:741
 #, c-format
 msgid "Syntax error %s:%u: Extra junk at end of file"
 msgstr ""
 
-#: apt-pkg/contrib/progress.cc:155 apt-pkg/contrib/progress.cc:152
 #: apt-pkg/contrib/progress.cc:153
 #, c-format
 msgid "%c%s... Error!"
 msgstr ""
 
-#: apt-pkg/contrib/progress.cc:157 apt-pkg/contrib/progress.cc:154
 #: apt-pkg/contrib/progress.cc:155
 #, c-format
 msgid "%c%s... Done"
 msgstr ""
 
-#: apt-pkg/contrib/cmndline.cc:80 apt-pkg/contrib/cmndline.cc:77
+#: apt-pkg/contrib/cmndline.cc:77
 #, c-format
 msgid "Command line option '%c' [from %s] is not known."
 msgstr ""
 
-#: apt-pkg/contrib/cmndline.cc:106 apt-pkg/contrib/cmndline.cc:114
-#: apt-pkg/contrib/cmndline.cc:122 apt-pkg/contrib/cmndline.cc:103
-#: apt-pkg/contrib/cmndline.cc:111 apt-pkg/contrib/cmndline.cc:119
+#: apt-pkg/contrib/cmndline.cc:103 apt-pkg/contrib/cmndline.cc:111
+#: apt-pkg/contrib/cmndline.cc:119
 #, c-format
 msgid "Command line option %s is not understood"
 msgstr ""
 
-#: apt-pkg/contrib/cmndline.cc:127 apt-pkg/contrib/cmndline.cc:124
+#: apt-pkg/contrib/cmndline.cc:124
 #, c-format
 msgid "Command line option %s is not boolean"
 msgstr ""
 
-#: apt-pkg/contrib/cmndline.cc:166 apt-pkg/contrib/cmndline.cc:187
 #: apt-pkg/contrib/cmndline.cc:163 apt-pkg/contrib/cmndline.cc:184
 #, c-format
 msgid "Option %s requires an argument."
 msgstr ""
 
-#: apt-pkg/contrib/cmndline.cc:201 apt-pkg/contrib/cmndline.cc:207
 #: apt-pkg/contrib/cmndline.cc:198 apt-pkg/contrib/cmndline.cc:204
 #, c-format
 msgid "Option %s: Configuration item specification must have an =<val>."
 msgstr ""
 
-#: apt-pkg/contrib/cmndline.cc:237 apt-pkg/contrib/cmndline.cc:234
+#: apt-pkg/contrib/cmndline.cc:234
 #, c-format
 msgid "Option %s requires an integer argument, not '%s'"
 msgstr ""
 
-#: apt-pkg/contrib/cmndline.cc:268 apt-pkg/contrib/cmndline.cc:265
+#: apt-pkg/contrib/cmndline.cc:265
 #, c-format
 msgid "Option '%s' is too long"
 msgstr ""
 
-#: apt-pkg/contrib/cmndline.cc:301 apt-pkg/contrib/cmndline.cc:298
+#: apt-pkg/contrib/cmndline.cc:298
 #, c-format
 msgid "Sense %s is not understood, try true or false."
 msgstr ""
 
-#: apt-pkg/contrib/cmndline.cc:351 apt-pkg/contrib/cmndline.cc:348
+#: apt-pkg/contrib/cmndline.cc:348
 #, c-format
 msgid "Invalid operation %s"
 msgstr ""
 
-#: apt-pkg/contrib/cdromutl.cc:55 apt-pkg/contrib/cdromutl.cc:52
+#: apt-pkg/contrib/cdromutl.cc:52
 #, c-format
 msgid "Unable to stat the mount point %s"
 msgstr ""
 
-#: apt-pkg/contrib/cdromutl.cc:149 apt-pkg/acquire.cc:427 apt-pkg/clean.cc:44
 #: apt-pkg/contrib/cdromutl.cc:146 apt-pkg/acquire.cc:424 apt-pkg/clean.cc:40
 #, c-format
 msgid "Unable to change to %s"
 msgstr ""
 
-#: apt-pkg/contrib/cdromutl.cc:190 apt-pkg/contrib/cdromutl.cc:187
+#: apt-pkg/contrib/cdromutl.cc:187
 msgid "Failed to stat the cdrom"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:82 apt-pkg/contrib/fileutl.cc:80
+#: apt-pkg/contrib/fileutl.cc:82
 #, c-format
 msgid "Not using locking for read only lock file %s"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:87 apt-pkg/contrib/fileutl.cc:85
+#: apt-pkg/contrib/fileutl.cc:87
 #, c-format
 msgid "Could not open lock file %s"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:105 apt-pkg/contrib/fileutl.cc:103
+#: apt-pkg/contrib/fileutl.cc:105
 #, c-format
 msgid "Not using locking for nfs mounted lock file %s"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:109 apt-pkg/contrib/fileutl.cc:107
+#: apt-pkg/contrib/fileutl.cc:109
 #, c-format
 msgid "Could not get lock %s"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:377 apt-pkg/contrib/fileutl.cc:375
+#: apt-pkg/contrib/fileutl.cc:377
 #, c-format
 msgid "Waited for %s but it wasn't there"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:387 apt-pkg/contrib/fileutl.cc:385
+#: apt-pkg/contrib/fileutl.cc:387
 #, c-format
 msgid "Sub-process %s received a segmentation fault."
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:390 apt-pkg/contrib/fileutl.cc:388
+#: apt-pkg/contrib/fileutl.cc:390
 #, c-format
 msgid "Sub-process %s returned an error code (%u)"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:392 apt-pkg/contrib/fileutl.cc:390
+#: apt-pkg/contrib/fileutl.cc:392
 #, c-format
 msgid "Sub-process %s exited unexpectedly"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:436 apt-pkg/contrib/fileutl.cc:434
+#: apt-pkg/contrib/fileutl.cc:436
 #, c-format
 msgid "Could not open file %s"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:492 apt-pkg/contrib/fileutl.cc:490
+#: apt-pkg/contrib/fileutl.cc:492
 #, c-format
 msgid "read, still have %lu to read but none left"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:522 apt-pkg/contrib/fileutl.cc:520
+#: apt-pkg/contrib/fileutl.cc:522
 #, c-format
 msgid "write, still have %lu to write but couldn't"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:597 apt-pkg/contrib/fileutl.cc:595
+#: apt-pkg/contrib/fileutl.cc:597
 msgid "Problem closing the file"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:603 apt-pkg/contrib/fileutl.cc:601
+#: apt-pkg/contrib/fileutl.cc:603
 msgid "Problem unlinking the file"
 msgstr ""
 
-#: apt-pkg/contrib/fileutl.cc:614 apt-pkg/contrib/fileutl.cc:612
+#: apt-pkg/contrib/fileutl.cc:614
 msgid "Problem syncing the file"
 msgstr ""
 
@@ -2166,97 +2148,93 @@
 msgid "extra"
 msgstr ""
 
-#: apt-pkg/depcache.cc:98 apt-pkg/depcache.cc:127 apt-pkg/depcache.cc:121
-#: apt-pkg/depcache.cc:150
+#: apt-pkg/depcache.cc:121 apt-pkg/depcache.cc:150
 msgid "Building dependency tree"
 msgstr ""
 
-#: apt-pkg/depcache.cc:99 apt-pkg/depcache.cc:122
+#: apt-pkg/depcache.cc:122
 msgid "Candidate versions"
 msgstr ""
 
-#: apt-pkg/depcache.cc:128 apt-pkg/depcache.cc:151
+#: apt-pkg/depcache.cc:151
 msgid "Dependency generation"
 msgstr ""
 
-#: apt-pkg/depcache.cc:149 apt-pkg/depcache.cc:168 apt-pkg/depcache.cc:172
-#: apt-pkg/depcache.cc:191 apt-pkg/depcache.cc:195
+#: apt-pkg/depcache.cc:172 apt-pkg/depcache.cc:191 apt-pkg/depcache.cc:195
 msgid "Reading state information"
 msgstr ""
 
-#: apt-pkg/depcache.cc:196 apt-pkg/depcache.cc:219
+#: apt-pkg/depcache.cc:219
 #, c-format
 msgid "Failed to open StateFile %s"
 msgstr ""
 
-#: apt-pkg/depcache.cc:202 apt-pkg/depcache.cc:225
+#: apt-pkg/depcache.cc:225
 #, c-format
 msgid "Failed to write temporary StateFile %s"
 msgstr ""
 
-#: apt-pkg/tagfile.cc:106 apt-pkg/tagfile.cc:102
+#: apt-pkg/tagfile.cc:102
 #, c-format
 msgid "Unable to parse package file %s (1)"
 msgstr ""
 
-#: apt-pkg/tagfile.cc:193 apt-pkg/tagfile.cc:189
+#: apt-pkg/tagfile.cc:189
 #, c-format
 msgid "Unable to parse package file %s (2)"
 msgstr ""
 
-#: apt-pkg/sourcelist.cc:94 apt-pkg/sourcelist.cc:90
+#: apt-pkg/sourcelist.cc:90
 #, c-format
 msgid "Malformed line %lu in source list %s (URI)"
 msgstr ""
 
-#: apt-pkg/sourcelist.cc:96 apt-pkg/sourcelist.cc:92
+#: apt-pkg/sourcelist.cc:92
 #, c-format
 msgid "Malformed line %lu in source list %s (dist)"
 msgstr ""
 
-#: apt-pkg/sourcelist.cc:99 apt-pkg/sourcelist.cc:95
+#: apt-pkg/sourcelist.cc:95
 #, c-format
 msgid "Malformed line %lu in source list %s (URI parse)"
 msgstr ""
 
-#: apt-pkg/sourcelist.cc:105 apt-pkg/sourcelist.cc:101
+#: apt-pkg/sourcelist.cc:101
 #, c-format
 msgid "Malformed line %lu in source list %s (absolute dist)"
 msgstr ""
 
-#: apt-pkg/sourcelist.cc:112 apt-pkg/sourcelist.cc:108
+#: apt-pkg/sourcelist.cc:108
 #, c-format
 msgid "Malformed line %lu in source list %s (dist parse)"
 msgstr ""
 
-#: apt-pkg/sourcelist.cc:203 apt-pkg/sourcelist.cc:199
+#: apt-pkg/sourcelist.cc:199
 #, c-format
 msgid "Opening %s"
 msgstr ""
 
-#: apt-pkg/sourcelist.cc:220 apt-pkg/cdrom.cc:450 apt-pkg/sourcelist.cc:216
-#: apt-pkg/cdrom.cc:448
+#: apt-pkg/sourcelist.cc:216 apt-pkg/cdrom.cc:448
 #, c-format
 msgid "Line %u too long in source list %s."
 msgstr ""
 
-#: apt-pkg/sourcelist.cc:240 apt-pkg/sourcelist.cc:236
+#: apt-pkg/sourcelist.cc:236
 #, c-format
 msgid "Malformed line %u in source list %s (type)"
 msgstr ""
 
-#: apt-pkg/sourcelist.cc:244 apt-pkg/sourcelist.cc:240
+#: apt-pkg/sourcelist.cc:240
 #, c-format
 msgid "Type '%s' is not known on line %u in source list %s"
 msgstr ""
 
-#: apt-pkg/sourcelist.cc:252 apt-pkg/sourcelist.cc:255
 #: apt-pkg/sourcelist.cc:248 apt-pkg/sourcelist.cc:251
 #, c-format
 msgid "Malformed line %u in source list %s (vendor id)"
 msgstr ""
 
-#: apt-pkg/packagemanager.cc:403 apt-pkg/packagemanager.cc:399
+#: apt-pkg/packagemanager.cc:399
 #, c-format
 msgid ""
 "This installation run will require temporarily removing the essential "
@@ -2264,196 +2242,192 @@
 "you really want to do it, activate the APT::Force-LoopBreak option."
 msgstr ""
 
-#: apt-pkg/pkgrecords.cc:37 apt-pkg/pkgrecords.cc:32
+#: apt-pkg/pkgrecords.cc:32
 #, c-format
 msgid "Index file type '%s' is not supported"
 msgstr ""
 
-#: apt-pkg/algorithms.cc:248 apt-pkg/algorithms.cc:247
+#: apt-pkg/algorithms.cc:247
 #, c-format
 msgid ""
 "The package %s needs to be reinstalled, but I can't find an archive for it."
 msgstr ""
 
-#: apt-pkg/algorithms.cc:1104 apt-pkg/algorithms.cc:1103
 #: apt-pkg/algorithms.cc:1105
 msgid ""
 "Error, pkgProblemResolver::Resolve generated breaks, this may be caused by "
 "held packages."
 msgstr ""
 
-#: apt-pkg/algorithms.cc:1106 apt-pkg/algorithms.cc:1105
 #: apt-pkg/algorithms.cc:1107
 msgid "Unable to correct problems, you have held broken packages."
 msgstr ""
 
-#: apt-pkg/acquire.cc:62 apt-pkg/acquire.cc:59
+#: apt-pkg/acquire.cc:59
 #, c-format
 msgid "Lists directory %spartial is missing."
 msgstr ""
 
-#: apt-pkg/acquire.cc:66 apt-pkg/acquire.cc:63
+#: apt-pkg/acquire.cc:63
 #, c-format
 msgid "Archive directory %spartial is missing."
 msgstr ""
 
 #. only show the ETA if it makes sense
 #. two days
-#: apt-pkg/acquire.cc:830 apt-pkg/acquire.cc:827
+#: apt-pkg/acquire.cc:827
 #, c-format
 msgid "Retrieving file %li of %li (%s remaining)"
 msgstr ""
 
-#: apt-pkg/acquire.cc:832 apt-pkg/acquire.cc:829
+#: apt-pkg/acquire.cc:829
 #, c-format
 msgid "Retrieving file %li of %li"
 msgstr ""
 
-#: apt-pkg/acquire-worker.cc:113 apt-pkg/acquire-worker.cc:110
+#: apt-pkg/acquire-worker.cc:110
 #, c-format
 msgid "The method driver %s could not be found."
 msgstr ""
 
-#: apt-pkg/acquire-worker.cc:162 apt-pkg/acquire-worker.cc:159
+#: apt-pkg/acquire-worker.cc:159
 #, c-format
 msgid "Method %s did not start correctly"
 msgstr ""
 
-#: apt-pkg/acquire-worker.cc:384 apt-pkg/acquire-worker.cc:396
 #: apt-pkg/acquire-worker.cc:398
 #, c-format
 msgid "Please insert the disc labeled: '%s' in the drive '%s' and press enter."
 msgstr ""
 
-#: apt-pkg/init.cc:125 apt-pkg/init.cc:124
+#: apt-pkg/init.cc:124
 #, c-format
 msgid "Packaging system '%s' is not supported"
 msgstr ""
 
-#: apt-pkg/init.cc:141 apt-pkg/init.cc:140
+#: apt-pkg/init.cc:140
 msgid "Unable to determine a suitable packaging system type"
 msgstr ""
 
-#: apt-pkg/clean.cc:61 apt-pkg/clean.cc:57
+#: apt-pkg/clean.cc:57
 #, c-format
 msgid "Unable to stat %s."
 msgstr ""
 
-#: apt-pkg/srcrecords.cc:48 apt-pkg/srcrecords.cc:44
+#: apt-pkg/srcrecords.cc:44
 msgid "You must put some 'source' URIs in your sources.list"
 msgstr ""
 
-#: apt-pkg/cachefile.cc:73 apt-pkg/cachefile.cc:69
+#: apt-pkg/cachefile.cc:69
 msgid "The package lists or status file could not be parsed or opened."
 msgstr ""
 
-#: apt-pkg/cachefile.cc:77 apt-pkg/cachefile.cc:73
+#: apt-pkg/cachefile.cc:73
 msgid "You may want to run apt-get update to correct these problems"
 msgstr ""
 
-#: apt-pkg/policy.cc:270 apt-pkg/policy.cc:267
+#: apt-pkg/policy.cc:267
 msgid "Invalid record in the preferences file, no Package header"
 msgstr ""
 
-#: apt-pkg/policy.cc:292 apt-pkg/policy.cc:289
+#: apt-pkg/policy.cc:289
 #, c-format
 msgid "Did not understand pin type %s"
 msgstr ""
 
-#: apt-pkg/policy.cc:300 apt-pkg/policy.cc:297
+#: apt-pkg/policy.cc:297
 msgid "No priority (or zero) specified for pin"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:76 apt-pkg/pkgcachegen.cc:72
+#: apt-pkg/pkgcachegen.cc:72
 msgid "Cache has an incompatible versioning system"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:119 apt-pkg/pkgcachegen.cc:115
+#: apt-pkg/pkgcachegen.cc:115
 #, c-format
 msgid "Error occurred while processing %s (NewPackage)"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:134 apt-pkg/pkgcachegen.cc:130
+#: apt-pkg/pkgcachegen.cc:130
 #, c-format
 msgid "Error occurred while processing %s (UsePackage1)"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:157
+#: apt-pkg/pkgcachegen.cc:153
 #, c-format
-msgid "Error occured while processing %s (NewFileDesc1)"
+msgid "Error occurred while processing %s (NewFileDesc1)"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:182 apt-pkg/pkgcachegen.cc:178
+#: apt-pkg/pkgcachegen.cc:178
 #, c-format
 msgid "Error occurred while processing %s (UsePackage2)"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:186 apt-pkg/pkgcachegen.cc:182
+#: apt-pkg/pkgcachegen.cc:182
 #, c-format
 msgid "Error occurred while processing %s (NewFileVer1)"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:217 apt-pkg/pkgcachegen.cc:213
+#: apt-pkg/pkgcachegen.cc:213
 #, c-format
 msgid "Error occurred while processing %s (NewVersion1)"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:221 apt-pkg/pkgcachegen.cc:217
+#: apt-pkg/pkgcachegen.cc:217
 #, c-format
 msgid "Error occurred while processing %s (UsePackage3)"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:225 apt-pkg/pkgcachegen.cc:221
+#: apt-pkg/pkgcachegen.cc:221
 #, c-format
 msgid "Error occurred while processing %s (NewVersion2)"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:249
+#: apt-pkg/pkgcachegen.cc:245
 #, c-format
-msgid "Error occured while processing %s (NewFileDesc2)"
+msgid "Error occurred while processing %s (NewFileDesc2)"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:255 apt-pkg/pkgcachegen.cc:251
+#: apt-pkg/pkgcachegen.cc:251
 msgid "Wow, you exceeded the number of package names this APT is capable of."
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:258 apt-pkg/pkgcachegen.cc:254
+#: apt-pkg/pkgcachegen.cc:254
 msgid "Wow, you exceeded the number of versions this APT is capable of."
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:261 apt-pkg/pkgcachegen.cc:257
+#: apt-pkg/pkgcachegen.cc:257
 msgid "Wow, you exceeded the number of descriptions this APT is capable of."
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:264 apt-pkg/pkgcachegen.cc:260
+#: apt-pkg/pkgcachegen.cc:260
 msgid "Wow, you exceeded the number of dependencies this APT is capable of."
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:292 apt-pkg/pkgcachegen.cc:288
+#: apt-pkg/pkgcachegen.cc:288
 #, c-format
 msgid "Error occurred while processing %s (FindPkg)"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:305 apt-pkg/pkgcachegen.cc:301
+#: apt-pkg/pkgcachegen.cc:301
 #, c-format
 msgid "Error occurred while processing %s (CollectFileProvides)"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:311 apt-pkg/pkgcachegen.cc:307
+#: apt-pkg/pkgcachegen.cc:307
 #, c-format
 msgid "Package %s %s was not found while processing file dependencies"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:682 apt-pkg/pkgcachegen.cc:678
+#: apt-pkg/pkgcachegen.cc:678
 #, c-format
 msgid "Couldn't stat source package list %s"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:767 apt-pkg/pkgcachegen.cc:763
+#: apt-pkg/pkgcachegen.cc:763
 msgid "Collecting File Provides"
 msgstr ""
 
-#: apt-pkg/pkgcachegen.cc:894 apt-pkg/pkgcachegen.cc:901
 #: apt-pkg/pkgcachegen.cc:890 apt-pkg/pkgcachegen.cc:897
 msgid "IO Error saving source cache"
 msgstr ""
@@ -2463,17 +2437,18 @@
 msgid "rename failed, %s (%s -> %s)."
 msgstr ""
 
-#: apt-pkg/acquire-item.cc:405 apt-pkg/acquire-item.cc:662
-#: apt-pkg/acquire-item.cc:1412 apt-pkg/acquire-item.cc:401
+#: apt-pkg/acquire-item.cc:401
 msgid "MD5Sum mismatch"
 msgstr ""
 
-#: apt-pkg/acquire-item.cc:1107 apt-pkg/acquire-item.cc:1097
+#: apt-pkg/acquire-item.cc:647 apt-pkg/acquire-item.cc:1408
+msgid "Hash Sum mismatch"
+msgstr ""
+
 #: apt-pkg/acquire-item.cc:1100
 msgid "There is no public key available for the following key IDs:\n"
 msgstr ""
 
-#: apt-pkg/acquire-item.cc:1220 apt-pkg/acquire-item.cc:1210
 #: apt-pkg/acquire-item.cc:1213
 #, c-format
 msgid ""
@@ -2481,7 +2456,6 @@
 "to manually fix this package. (due to missing arch)"
 msgstr ""
 
-#: apt-pkg/acquire-item.cc:1279 apt-pkg/acquire-item.cc:1269
 #: apt-pkg/acquire-item.cc:1272
 #, c-format
 msgid ""
@@ -2489,14 +2463,12 @@
 "manually fix this package."
 msgstr ""
 
-#: apt-pkg/acquire-item.cc:1315 apt-pkg/acquire-item.cc:1310
 #: apt-pkg/acquire-item.cc:1313
 #, c-format
 msgid ""
 "The package index files are corrupted. No Filename: field for package %s."
 msgstr ""
 
-#: apt-pkg/acquire-item.cc:1402 apt-pkg/acquire-item.cc:1397
 #: apt-pkg/acquire-item.cc:1400
 msgid "Size mismatch"
 msgstr ""
@@ -2506,221 +2478,172 @@
 msgid "Vendor block %s contains no fingerprint"
 msgstr ""
 
-#: apt-pkg/cdrom.cc:531 apt-pkg/cdrom.cc:529
+#: apt-pkg/cdrom.cc:529
 #, c-format
 msgid ""
 "Using CD-ROM mount point %s\n"
 "Mounting CD-ROM\n"
 msgstr ""
 
-#: apt-pkg/cdrom.cc:540 apt-pkg/cdrom.cc:622 apt-pkg/cdrom.cc:538
-#: apt-pkg/cdrom.cc:620 apt-pkg/cdrom.cc:627
+#: apt-pkg/cdrom.cc:538 apt-pkg/cdrom.cc:627
 msgid "Identifying.. "
 msgstr ""
 
-#: apt-pkg/cdrom.cc:565 apt-pkg/cdrom.cc:563
+#: apt-pkg/cdrom.cc:563
 #, c-format
-msgid "Stored label: %s \n"
-msgstr ""
-
-#: apt-pkg/cdrom.cc:585 apt-pkg/cdrom.cc:583 apt-pkg/cdrom.cc:590
+msgid "Stored label: %s\n"
+msgstr ""
+
+#: apt-pkg/cdrom.cc:570 apt-pkg/cdrom.cc:841
+msgid "Unmounting CD-ROM...\n"
+msgstr ""
+
+#: apt-pkg/cdrom.cc:590
 #, c-format
 msgid "Using CD-ROM mount point %s\n"
 msgstr ""
 
-#: apt-pkg/cdrom.cc:603 apt-pkg/cdrom.cc:601 apt-pkg/cdrom.cc:608
+#: apt-pkg/cdrom.cc:608
 msgid "Unmounting CD-ROM\n"
 msgstr ""
 
-#: apt-pkg/cdrom.cc:607 apt-pkg/cdrom.cc:605 apt-pkg/cdrom.cc:612
+#: apt-pkg/cdrom.cc:612
 msgid "Waiting for disc...\n"
 msgstr ""
 
 #. Mount the new CDROM
-#: apt-pkg/cdrom.cc:615 apt-pkg/cdrom.cc:613 apt-pkg/cdrom.cc:620
+#: apt-pkg/cdrom.cc:620
 msgid "Mounting CD-ROM...\n"
 msgstr ""
 
-#: apt-pkg/cdrom.cc:633 apt-pkg/cdrom.cc:631 apt-pkg/cdrom.cc:638
+#: apt-pkg/cdrom.cc:638
 msgid "Scanning disc for index files..\n"
 msgstr ""
 
-#: apt-pkg/cdrom.cc:673 apt-pkg/cdrom.cc:671
+#: apt-pkg/cdrom.cc:678
 #, c-format
 msgid ""
-"Found %i package indexes, %i source indexes, %i translation indexes and %i "
+"Found %u package indexes, %u source indexes, %u translation indexes and %u "
 "signatures\n"
 msgstr ""
 
-#: apt-pkg/cdrom.cc:710 apt-pkg/cdrom.cc:708 apt-pkg/cdrom.cc:715
+#: apt-pkg/cdrom.cc:715
 #, c-format
 msgid "Found label '%s'\n"
 msgstr ""
 
-#: apt-pkg/cdrom.cc:739 apt-pkg/cdrom.cc:737 apt-pkg/cdrom.cc:744
+#: apt-pkg/cdrom.cc:744
 msgid "That is not a valid name, try again.\n"
 msgstr ""
 
-#: apt-pkg/cdrom.cc:755 apt-pkg/cdrom.cc:753 apt-pkg/cdrom.cc:760
+#: apt-pkg/cdrom.cc:760
 #, c-format
 msgid ""
 "This disc is called: \n"
 "'%s'\n"
 msgstr ""
 
-#: apt-pkg/cdrom.cc:759 apt-pkg/cdrom.cc:757 apt-pkg/cdrom.cc:764
+#: apt-pkg/cdrom.cc:764
 msgid "Copying package lists..."
 msgstr ""
 
-#: apt-pkg/cdrom.cc:785 apt-pkg/cdrom.cc:783 apt-pkg/cdrom.cc:790
+#: apt-pkg/cdrom.cc:790
 msgid "Writing new source list\n"
 msgstr ""
 
-#: apt-pkg/cdrom.cc:794 apt-pkg/cdrom.cc:792 apt-pkg/cdrom.cc:799
+#: apt-pkg/cdrom.cc:799
 msgid "Source list entries for this disc are:\n"
 msgstr ""
 
-#: apt-pkg/cdrom.cc:836 apt-pkg/cdrom.cc:834 apt-pkg/cdrom.cc:570
-#: apt-pkg/cdrom.cc:841
-msgid "Unmounting CD-ROM...\n"
-msgstr ""
-
-#: apt-pkg/indexcopy.cc:263 apt-pkg/indexcopy.cc:830 apt-pkg/indexcopy.cc:823
+#: apt-pkg/indexcopy.cc:263 apt-pkg/indexcopy.cc:823
 #, c-format
 msgid "Wrote %i records.\n"
 msgstr ""
 
-#: apt-pkg/indexcopy.cc:265 apt-pkg/indexcopy.cc:832 apt-pkg/indexcopy.cc:825
+#: apt-pkg/indexcopy.cc:265 apt-pkg/indexcopy.cc:825
 #, c-format
 msgid "Wrote %i records with %i missing files.\n"
 msgstr ""
 
-#: apt-pkg/indexcopy.cc:268 apt-pkg/indexcopy.cc:835 apt-pkg/indexcopy.cc:828
+#: apt-pkg/indexcopy.cc:268 apt-pkg/indexcopy.cc:828
 #, c-format
 msgid "Wrote %i records with %i mismatched files\n"
 msgstr ""
 
-#: apt-pkg/indexcopy.cc:271 apt-pkg/indexcopy.cc:838 apt-pkg/indexcopy.cc:831
+#: apt-pkg/indexcopy.cc:271 apt-pkg/indexcopy.cc:831
 #, c-format
 msgid "Wrote %i records with %i missing files and %i mismatched files\n"
 msgstr ""
 
-#: apt-pkg/deb/dpkgpm.cc:358 apt-pkg/deb/dpkgpm.cc:522
+#: apt-pkg/deb/dpkgpm.cc:513
+#, c-format
+msgid "Directory '%s' missing"
+msgstr ""
+
 #: apt-pkg/deb/dpkgpm.cc:596
 #, c-format
 msgid "Preparing %s"
 msgstr ""
 
-#: apt-pkg/deb/dpkgpm.cc:359 apt-pkg/deb/dpkgpm.cc:523
 #: apt-pkg/deb/dpkgpm.cc:597
 #, c-format
 msgid "Unpacking %s"
 msgstr ""
 
-#: apt-pkg/deb/dpkgpm.cc:364 apt-pkg/deb/dpkgpm.cc:528
 #: apt-pkg/deb/dpkgpm.cc:602
 #, c-format
 msgid "Preparing to configure %s"
 msgstr ""
 
-#: apt-pkg/deb/dpkgpm.cc:365 apt-pkg/deb/dpkgpm.cc:529
 #: apt-pkg/deb/dpkgpm.cc:603
 #, c-format
 msgid "Configuring %s"
 msgstr ""
 
-#: apt-pkg/deb/dpkgpm.cc:366 apt-pkg/deb/dpkgpm.cc:530
+#: apt-pkg/deb/dpkgpm.cc:605 apt-pkg/deb/dpkgpm.cc:606
+#, c-format
+msgid "Processing triggers for %s"
+msgstr ""
+
 #: apt-pkg/deb/dpkgpm.cc:608
 #, c-format
 msgid "Installed %s"
 msgstr ""
 
-#: apt-pkg/deb/dpkgpm.cc:371 apt-pkg/deb/dpkgpm.cc:535
 #: apt-pkg/deb/dpkgpm.cc:613 apt-pkg/deb/dpkgpm.cc:615
 #: apt-pkg/deb/dpkgpm.cc:616
 #, c-format
 msgid "Preparing for removal of %s"
 msgstr ""
 
-#: apt-pkg/deb/dpkgpm.cc:372 apt-pkg/deb/dpkgpm.cc:536
 #: apt-pkg/deb/dpkgpm.cc:618
 #, c-format
 msgid "Removing %s"
 msgstr ""
 
-#: apt-pkg/deb/dpkgpm.cc:373 apt-pkg/deb/dpkgpm.cc:537
 #: apt-pkg/deb/dpkgpm.cc:619
 #, c-format
 msgid "Removed %s"
 msgstr ""
 
-#: apt-pkg/deb/dpkgpm.cc:378 apt-pkg/deb/dpkgpm.cc:542
 #: apt-pkg/deb/dpkgpm.cc:624
 #, c-format
 msgid "Preparing to completely remove %s"
 msgstr ""
 
-#: apt-pkg/deb/dpkgpm.cc:379 apt-pkg/deb/dpkgpm.cc:543
 #: apt-pkg/deb/dpkgpm.cc:625
 #, c-format
 msgid "Completely removed %s"
 msgstr ""
 
+#: apt-pkg/deb/dpkgpm.cc:775
+msgid "Can not write log, openpty() failed (/dev/pts not mounted?)\n"
+msgstr ""
+
+#: methods/rred.cc:219
+msgid "Could not patch file"
+msgstr ""
+
 #: methods/rsh.cc:330
 msgid "Connection closed prematurely"
 msgstr ""
-
-#: methods/rred.cc:219
-msgid "Could not patch file"
-msgstr ""
-
-#: apt-pkg/contrib/configuration.cc:510
-#, c-format
-msgid "Line %d too long (max %u)"
-msgstr ""
-
-#: apt-pkg/pkgcachegen.cc:153
-#, c-format
-msgid "Error occurred while processing %s (NewFileDesc1)"
-msgstr ""
-
-#: apt-pkg/pkgcachegen.cc:245
-#, c-format
-msgid "Error occurred while processing %s (NewFileDesc2)"
-msgstr ""
-
-#: apt-pkg/acquire-item.cc:647 apt-pkg/acquire-item.cc:1405
-#: apt-pkg/acquire-item.cc:1408
-msgid "Hash Sum mismatch"
-msgstr ""
-
-#: apt-pkg/deb/dpkgpm.cc:566 apt-pkg/deb/dpkgpm.cc:513
-#, c-format
-msgid "Directory '%s' missing"
-msgstr ""
-
-#: apt-pkg/deb/dpkgpm.cc:709
-#, c-format
-msgid "openpty failed\n"
-msgstr ""
-
-#: apt-pkg/cdrom.cc:563
-#, c-format
-msgid "Stored label: %s\n"
-msgstr ""
-
-#: apt-pkg/cdrom.cc:678
-#, c-format
-msgid ""
-"Found %u package indexes, %u source indexes, %u translation indexes and %u "
-"signatures\n"
-msgstr ""
-
-#: apt-pkg/deb/dpkgpm.cc:605 apt-pkg/deb/dpkgpm.cc:606
-#, c-format
-msgid "Processing triggers for %s"
-msgstr ""
-
-#: apt-pkg/deb/dpkgpm.cc:775
-msgid "Can not write log, openpty() failed (/dev/pts not mounted?)\n"
-msgstr ""

